Policy instantiation module
Feature API » Internals of Feature API

## Functions

TSS2_RC | ifapi_policyeval_instantiate_finish (IFAPI_POLICY_EVAL_INST_CTX *context)

## Detailed Description

Provides functions for instantiation of the policies. The defaults will be initialized according to the given values.

## Function Documentation

## ifapi_policyeval_instantiate_finish()

TSS2_RC ifapi_policyeval_instantiate_finish | ( | IFAPI_POLICY_EVAL_INST_CTX * | context | ) |

Finalize instantiation a policy template.

All needed asynchronous callbacks will be executed for all policy elements offset The policy.

Parameters

  [in] | context | The context storing information for re-entry after try again.

Return values

  TSS2_RC_SUCCESS | on success.
  TSS2_FAPI_RC_BAD_TEMPLATE | If the template is not complete for instantiation.
  FAPI | error codes on failure
  TSS2_FAPI_RC_TRY_AGAIN | if an I/O operation is not finished yet and this function needs to be called again.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_GENERAL_FAILURE | if an internal error occurred.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_PATH_NOT_FOUND | if a FAPI object path was not found during authorization.
  TSS2_FAPI_RC_KEY_NOT_FOUND | if a key was not found.
  TSS2_FAPI_RC_IO_ERROR | if an error occurred while accessing the object store.
  TSS2_ESYS_RC_* | possible error codes of ESAPI.
  TSS2_FAPI_RC_NOT_PROVISIONED | FAPI was not provisioned.
  TSS2_FAPI_RC_BAD_PATH | if the path is used in inappropriate context or contains illegal characters.